%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib(1))")}
%define glite_stage %{_tmppath}/glite_stage
%define delegation_api_c_version 2.1.3
%define delegation_cli_version 2.1.4
%define transfer_cli_version 4.0.4
%define util_c_version 1.3.3
%define transfer_interface_version 3.7.3

Summary: File Transfer Service (FTS) clients
Name: fts2-client
License: ASL 2.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Version: 2.2.9
Release: 1%{?dist}
URL: https://svnweb.cern.ch/trac/glitefts/wiki
#Source: http://grid-deployment.web.cern.ch/grid-deployment/dms/fts/tar/%{name}/%{name}-%{version}.tar.gz
Source: %{name}-%{version}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: CGSI-gSOAP-devel%{?_isa} >= 1.3.4.0
BuildRequires: chrpath
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: globus-common-progs
BuildRequires: globus-gsi-sysconfig-devel
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: gridsite-devel
BuildRequires: gsoap
BuildRequires: gsoap-devel
BuildRequires: is-interface-devel
BuildRequires: java-1.6.0-openjdk-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: libxslt
BuildRequires: openldap-devel
BuildRequires: python-devel
%if 0%{?el6}
BuildRequires: libuuid-devel
%endif
Group: Applications/Internet
Summary: Command line client for FTS
Group: Applications/Internet
Provides: delegation-api-c = %{delegation_api_c_version}-2%{?dist}
Obsoletes: delegation-api-c <= %{delegation_api_c_version}-1%{?dist}
Provides: delegation-cli = %{delegation_cli_version}-2%{?dist}
Obsoletes: delegation-cli <= %{delegation_cli_version}-1%{?dist}
Provides: transfer-cli = %{transfer_cli_version}-2%{?dist}
Obsoletes: transfer-cli <= %{transfer_cli_version}-1%{?dist}
Provides: util-c = %{util_c_version}-2%{?dist}
Obsoletes: util-c <= %{util_c_version}-1%{?dist}

%description
The File Transfer Service clients and utilities. For use with the FTS service for reliable file transfer and resource management.

%package -n fts2-devel
Version: %{version}
Release: %{release}%{?dist}
Summary: Files for building all FTS components
License: ASL 2.0
Group: Development/Tools
Requires: fts2-client
Provides: transfer-interface = %{transfer_interface_version}-2%{?dist}
Obsoletes: transfer-interface <= %{transfer_interface_version}-1%{?dist}

%description -n fts2-devel
Files required for building the File Transfer Service components.

%prep

%setup -qc

%build
rm -rf %{glite_stage}
mkdir -p %{glite_stage}%{_prefix}
cd util-c
mkdir -p src/autogen; aclocal -I %{_builddir}/%{?buildsubdir}/fts-devel/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
%configure --prefix=%{_prefix} --with-version=%{util_c_version} --with-interface-version=%{util_c_version} --with-dist-location=%{_prefix} --with-glite-location=%{_prefix} --with-gridsite-prefix=%{_prefix} --libdir=%{_libdir}
make all
make DESTDIR=%{glite_stage} install
find %{glite_stage}%{_prefix} -name '*.la' -exec rm -rf {} \;
cd ..
cd delegation-api-c
mkdir -p src/autogen; aclocal -I %{_builddir}/%{?buildsubdir}/fts-devel/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
%configure --prefix=%{_prefix} --with-version=%{delegation_api_c_version} --with-interface-version=2.0.0 --with-dist-location=%{_prefix} --with-glite-location=%{_prefix} --with-cgsi-gsoap-location=/ --with-delegation-wsdl=%{_builddir}/%{?buildsubdir}/delegation-api-c/src/www.gridsite.org-delegation-2.0.0.wsdl --with-emi --libdir=%{_libdir}
make all
make DESTDIR=%{glite_stage} install
find %{glite_stage}%{_prefix} -name '*.la' -exec rm -rf {} \;
cd ..
cd transfer-interface
make javadoc
make prefix=%{glite_stage}%{_prefix} install
find %{glite_stage}%{_prefix} -name '*.la' -exec rm -rf {} \;
cd ..
cd delegation-cli
mkdir -p src/autogen; aclocal -I %{_builddir}/%{?buildsubdir}/fts-devel/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
%configure --prefix=%{_prefix} --with-version=%{delegation_cli_version} --with-dist-location=%{_prefix} --with-glite-location=%{glite_stage}%{_prefix} --with-cgsi-gsoap-location=/ --with-gridsite-prefix=%{_prefix} --with-emi --libdir=%{_libdir}
make all
make DESTDIR=%{glite_stage} install
find %{glite_stage}%{_prefix} -name '*.la' -exec rm -rf {} \;
cd ..  
cd transfer-cli
mkdir -p src/autogen; aclocal -I %{_builddir}/%{?buildsubdir}/fts-devel/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
%configure --prefix=%{_prefix} --mandir=/share/man --with-version=%{transfer_cli_version} --with-interface-version=3.7.0 --with-dist-location=%{_prefix} --with-glite-location=%{glite_stage}%{_prefix} --with-cgsi-gsoap-location=/ --with-gridsite-prefix=%{_prefix} --with-emi --libdir=%{_libdir} --with-htmldir=%{_prefix}/share/doc/fts/html_deleteme
make all
cd ..  
 
%install
# libtool probs
#QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
cd util-c
 make PACKAGE=fts DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;
cd ..
cd delegation-api-c
 make PACKAGE=fts DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;
cd ..
cd transfer-interface
 make prefix=$RPM_BUILD_ROOT%{_prefix} interface_subdir=include/fts/interface doc_subdir=share/doc/fts install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;
cd ..
cd delegation-cli
 make DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;
cd ..
cd fts-devel
 make prefix=$RPM_BUILD_ROOT%{_prefix} install
 echo $RPM_BUILD_ROOT
cd ..
cd transfer-cli
 make PACKAGE=fts DESTDIR=$RPM_BUILD_ROOT install
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
 find $RPM_BUILD_ROOT -name '*.pc' -exec sed -i -e "s|$RPM_BUILD_ROOT||g" {} \;
cd ..
# Some cleanup
mv $RPM_BUILD_ROOT%{_prefix}/include/glite $RPM_BUILD_ROOT%{_prefix}/include/fts
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/test
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/fts/html/org
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc/fts/html_deleteme
rm $RPM_BUILD_ROOT/%{_bindir}/test-glite-delegation-bug-33641

%clean
rm -rf $RPM_BUILD_ROOT

%description
Command line interface for the File Transfer Service.

%files
%defattr(-,root,root)
# From transfer-cli
%{_libdir}/libglite_data_transfer_api_simple_c.so.3
%{_libdir}/libglite_data_transfer_fts_api_simple_c.so.3.7.0
%{_libdir}/libglite_data_transfer_fts_api_simple_c.so.3
%dir %{python_sitearch}/
%{python_sitearch}/fts.so
%{python_sitearch}/fts.so.0
%{python_sitearch}/fts.so.0.0.0
%{_libdir}/libglite_data_transfer_api_simple_c.so.3.7.0
%{_libdir}/libglite_data_transfer_channel_api_c.so.3.7.0
%{_libdir}/libglite_data_transfer_channel_api_c.so.3
%{_libdir}/libglite_data_transfer_channel_api_simple_c.so.3.7.0
%{_libdir}/libglite_data_transfer_fts_api_c.so.3
%{_libdir}/libglite_data_transfer_channel_api_simple_c.so.3
%{_libdir}/libglite_data_transfer_fts_api_c.so.3.7.0
%{_bindir}/glite-transfer-channel-setvoshare
%{_bindir}/glite-transfer-group-addmember
%{_bindir}/glite-transfer-channel-setvolimit
%{_bindir}/glite-transfer-submit
%{_bindir}/glite-transfer-channel-listmanagers
%{_bindir}/glite-transfer-group-list
%{_bindir}/glite-transfer-list
%{_bindir}/glite-transfer-service-info
%{_bindir}/glite-transfer-channel-set
%{_bindir}/glite-transfer-channel-list
%{_bindir}/glite-transfer-getroles
%{_bindir}/glite-transfer-cancel
%{_bindir}/glite-transfer-removevomanager
%{_bindir}/glite-transfer-channel-add
%{_bindir}/glite-transfer-se-set
%{_bindir}/glite-transfer-channel-drop
%{_bindir}/glite-transfer-channel-addmanager
%{_bindir}/glite-transfer-addvomanager
%{_bindir}/glite-transfer-setpriority
%{_bindir}/glite-transfer-listvomanagers
%{_bindir}/glite-transfer-channel-signal
%{_bindir}/glite-transfer-status
%{_bindir}/glite-transfer-channel-removemanager
%{_bindir}/glite-transfer-channel-audit
%{_bindir}/glite-transfer-group-removemember
%{_mandir}/man1/glite-transfer-addvomanager.1*
%{_mandir}/man1/glite-transfer-group-removemember.1*
%{_mandir}/man1/glite-transfer-channel-list.1*
%{_mandir}/man1/glite-transfer-channel-setvoshare.1*
%{_mandir}/man1/glite-transfer-channel-audit.1*
%{_mandir}/man1/glite-transfer-se-set.1*
%{_mandir}/man1/glite-transfer-group-list.1*
%{_mandir}/man1/glite-transfer-setpriority.1*
%{_mandir}/man1/glite-transfer-channel-listmanagers.1*
%{_mandir}/man1/glite-transfer-service-info.1*
%{_mandir}/man1/glite-transfer-channel-addmanager.1*
%{_mandir}/man1/glite-transfer-channel-removemanager.1*
%{_mandir}/man1/glite-transfer-listvomanagers.1*
%{_mandir}/man1/glite-transfer-channel-signal.1*
%{_mandir}/man1/glite-transfer-group-addmember.1*
%{_mandir}/man1/glite-transfer-status.1*
%{_mandir}/man1/glite-transfer-list.1*
%{_mandir}/man1/glite-transfer-submit.1*
%{_mandir}/man1/glite-transfer-channel-set.1*
%{_mandir}/man1/glite-transfer-channel-add.1*
%{_mandir}/man1/glite-transfer-getroles.1*
%{_mandir}/man1/glite-transfer-cancel.1*
%{_mandir}/man1/glite-transfer-channel-setvolimit.1*
%{_mandir}/man1/glite-transfer-removevomanager.1*
%{_mandir}/man1/glite-transfer-channel-drop.1*
%dir %{_defaultdocdir}/fts/
%{_defaultdocdir}/fts/RELEASE-NOTES
%{_defaultdocdir}/fts/LICENSE
%dir %{_defaultdocdir}/fts/apidoc/
%{_defaultdocdir}/fts/apidoc/*
# From delegation-api-c
%{_libdir}/libglite_data_delegation_api_c.so.*
%dir %{_defaultdocdir}/fts
%{_defaultdocdir}/fts/RELEASE-NOTES
%{_defaultdocdir}/fts/README
%{_defaultdocdir}/fts/LICENSE
# From util-c
%{_libdir}/libglite_data_util.so.*
%dir %{_defaultdocdir}/fts
%{_defaultdocdir}/fts/RELEASE-NOTES
%{_defaultdocdir}/fts/LICENSE
# From delegation-cli
%{_libdir}/libglite_data_delegation_api_simple_c.so.*
%{_bindir}/glite-delegation-destroy
%{_bindir}/glite-delegation-init
%{_bindir}/glite-delegation-info

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n fts2-devel
%defattr(-,root,root)
# From fts-devel
%dir /usr/share/fts/aclocal
/usr/share/fts/aclocal/globus.m4
/usr/share/fts/aclocal/glite_wsdl_file.m4
/usr/share/fts/aclocal/gsoap-version.m4
/usr/share/fts/aclocal/python-c.m4
/usr/share/fts/aclocal/ltdl-fix.m4
/usr/share/fts/aclocal/glite-version.m4
/usr/share/fts/aclocal/gsoap-fix.m4
/usr/share/fts/aclocal/docbook_man.m4
/usr/share/fts/aclocal/myproxy.m4
/usr/share/fts/aclocal/cppunit.m4
/usr/share/fts/aclocal/docbook_html.m4
/usr/share/fts/aclocal/symbol-version.m4
/usr/share/fts/aclocal/cgsi-gsoap.m4
/usr/share/fts/aclocal/log4cpp.m4
/usr/share/fts/aclocal/find_apr.m4
/usr/share/fts/aclocal/oracle-instantclient.m4
/usr/share/fts/aclocal/globus-fix.m4
/usr/share/fts/aclocal/gridsite.m4
/usr/share/fts/aclocal/xml2.m4
/usr/share/fts/aclocal/glib2.m4
/usr/share/fts/aclocal/gsoap.m4
/usr/share/fts/aclocal/glite_gsoap_headernames.m4
/usr/share/fts/aclocal/ccheck.m4
/usr/share/fts/aclocal/fcgi.m4
/usr/share/fts/aclocal/find_activemq.m4
/usr/share/fts/aclocal/boost.m4
/usr/share/fts/aclocal/glite.m4
/usr/share/fts/aclocal/log4cxx.m4
/usr/share/fts/aclocal/glite_data.m4
# General
%dir %{_includedir}/fts/glite/
%dir %{_includedir}/fts/glite/data/
%dir %{_includedir}/fts/glite/data/transfer/
%dir %{_includedir}/fts/glite/data/transfer/c/
%dir %{_includedir}/fts/glite/data/delegation/
%dir %{_includedir}/fts/glite/data/delegation/c/
# From util-c
%{_includedir}/fts/glite/data/glite-util.h
# From delegation-cli
%{_includedir}/fts/glite/data/delegation/c/delegation-simple.h
# From delegation-api-c
%{_includedir}/fts/glite/data/delegation/c/delegation.nsmap
%{_includedir}/fts/glite/data/delegation/c/delegationStub.h
%{_includedir}/fts/glite/data/delegation/c/delegationH.h
# From transfer-cli
%{_includedir}/fts/glite/data/transfer/c/transfer-simple.h
%{_includedir}/fts/glite/data/transfer/c/channel-simple.h
%{_includedir}/fts/glite/data/transfer/c/fts-simple.h
%{_libdir}/libglite_data_util.a
%{_libdir}/libglite_data_delegation_api_simple_c.a
%{_libdir}/libglite_data_delegation_api_c.a
%{_libdir}/libglite_data_transfer_api_simple_c.a
%{_libdir}/libglite_data_transfer_channel_api_c.a
%{_libdir}/libglite_data_transfer_channel_api_simple_c.a
%{_libdir}/libglite_data_transfer_fts_api_c.a
%{_libdir}/libglite_data_transfer_fts_api_simple_c.a
%{_libdir}/libglite_data_delegation_api_simple_c.so
%{_libdir}/libglite_data_util.so
%{_libdir}/libglite_data_delegation_api_c.so
%{_libdir}/libglite_data_transfer_channel_api_c.so
%{_libdir}/libglite_data_transfer_fts_api_simple_c.so
%{_libdir}/libglite_data_transfer_api_simple_c.so
%{_libdir}/libglite_data_transfer_fts_api_c.so
%{_libdir}/libglite_data_transfer_channel_api_simple_c.so
%{python_sitearch}/fts.a
# From transfer-interface
%dir %{_includedir}/fts/interface
%{_includedir}/fts/interface/org.glite.data-channel-2.9.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fetcher-2.9.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.5.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fetcher-2.0.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.6.0.wsdl
%{_includedir}/fts/interface/org.glite.data-transferstats-3.1.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.7.0.wsdl
%{_includedir}/fts/interface/org.glite.data-placement-2.9.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.3.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.6.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.4.0.wsdl
%{_includedir}/fts/interface/org.glite.data-placement-3.0.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-2.9.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.0.0.wsdl
%{_includedir}/fts/interface/org.glite.data-channel-3.1.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.3.0.wsdl
%{_includedir}/fts/interface/org.glite.data-placement-2.0.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.4.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.7.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.1.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.5.0.wsdl
%{_includedir}/fts/interface/org.glite.data-fts-3.0.0.wsdl
%dir %{_defaultdocdir}/fts/html/
%{_defaultdocdir}/fts/RELEASE-NOTES
%{_defaultdocdir}/fts/html/deprecated-list.html
%{_defaultdocdir}/fts/html/package-list
%{_defaultdocdir}/fts/html/constant-values.html
%{_defaultdocdir}/fts/html/stylesheet.css
%{_defaultdocdir}/fts/html/index.html
%{_defaultdocdir}/fts/html/serialized-form.html
%{_defaultdocdir}/fts/html/overview-frame.html
%{_defaultdocdir}/fts/html/overview-summary.html
%{_defaultdocdir}/fts/html/allclasses-noframe.html
%dir %{_defaultdocdir}/fts/html/doc-files/
%{_defaultdocdir}/fts/html/doc-files/FileStateDiagram.gif
%{_defaultdocdir}/fts/html/doc-files/JobStateDiagram.gif
%dir %{_defaultdocdir}/fts/html/resources/
%{_defaultdocdir}/fts/html/resources/inherit.gif
%{_defaultdocdir}/fts/html/overview-tree.html
%{_defaultdocdir}/fts/html/index-all.html
%{_defaultdocdir}/fts/html/allclasses-frame.html
%{_defaultdocdir}/fts/html/help-doc.html
%{_defaultdocdir}/fts/LICENSE

%changelog
* Fri Aug 10 2012 oliver.keeble@cern.ch - 2.0.0-1
- First release
